/*
 * Copyright 2017 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.forms.common.rendering.client.widgets;

import com.google.gwt.event.logical.shared.ValueChangeHandler;
import com.google.gwt.event.shared.HandlerRegistration;
import com.google.gwt.user.client.ui.HasValue;

public interface FormWidget<T> extends HasValue<T> {

    HasValue<T> wrapped();

    @Override
    default T getValue() {
        return wrapped().getValue();
    }

    @Override
    default void setValue(T value) {
        wrapped().setValue(value);
    }

    @Override
    default void setValue(T value,
                          boolean fireEvents) {
        wrapped().setValue(value,
                           fireEvents);
    }

    @Override
    default HandlerRegistration addValueChangeHandler(ValueChangeHandler<T> valueChangeHandler) {
        return wrapped().addValueChangeHandler(valueChangeHandler);
    }
}
